#71 ✓invalid
gabrielfritsch

Fatfreecrm with ruby 1.9.1 + rails 2.3.2

Reported by gabrielfritsch | July 8th, 2009 @ 06:28 AM

Hi.

The fatfreecrm works with ruby 1.9.1?

I tried to start with this configuration and comes a error above:

D:\fatfreecrm>ruby -v
ruby 1.9.1p129 (2009-05-12 revision 23412) [i386-mswin32]

D:\fatfreecrm>gem -v
1.3.4

D:\fatfreecrm>rails -v
Rails 2.3.2

D:\fatfreecrm>ruby script/server
=> Booting WEBrick => Rails 2.3.2 application starting on http://0.0.0.0:3000 D:/fatfreecrm/config.ru:4:in block in <top (required)>': undefined methoddirn
ame' for Rack::File:Class (NoMethodError)

    from c:/ruby/lib/ruby/gems/1.9.1/gems/actionpack-2.3.2/lib/action_contro

ller/vendor/rack-1.0/rack/builder.rb:29:in instance_eval'<br/>

    from c:/ruby/lib/ruby/gems/1.9.1/gems/actionpack-2.3.2/lib/action_contro

ller/vendor/rack-1.0/rack/builder.rb:29:in initialize'<br/>

    from D:/fatfreecrm/config.ru:1:in `new'
    from D:/fatfreecrm/config.ru:1:in `<top (required)>'
    from c:/ruby/lib/ruby/gems/1.9.1/gems/rails-2.3.2/lib/commands/server.rb

:78:in eval'

    from c:/ruby/lib/ruby/gems/1.9.1/gems/rails-2.3.2/lib/commands/server.rb

:78:in <top (required)>'

    from script/server:3:in `require'
    from script/server:3:in `<main>'

D:\fatfreecrm>

With ruby 1.8.6 its works.

Thanks, Gabriel.

Comments and changes to this ticket

Please Sign in or create a free account to add a new ticket.

With your very own profile, you can contribute to projects, track your activity, watch tickets, receive and update tickets through your email and much more.

New-ticket Create new ticket

Create your profile

Help contribute to this project by taking a few moments to create your personal profile. Create your profile ยป

Ruby on Rails CRM platform for Web 2.0 and beyond

People watching this ticket

Pages